Subject: Re: [pim] Yangdoctors last call review of draft-ietf-pim-yang-12

From: Xufeng Liu <[email-masked]>
Date: Fri, 27 Apr 2018 13:30:43 -0400

Hi Juergen,

Thanks for looking at the document and providing further valuable comments.
We have updated the document with https://tools.ietf.org/
html/draft-ietf-pim-yang-16 to address these issues.

Besides these fixes,  authors and PIM Working Group have further considered
and discussed the type of statistic counters in the model. We have decided
to used 64-bit type instead of 32-bit type:
https://mailarchive.ietf.org/arch/msg/pim/ti58tMl9ppt7r19DxN8tTAn8n4w
https://mailarchive.ietf.org/arch/msg/pim/Pifg3ABQVgvsFWLTIsI9yLR6RXA

Thanks,
- Xufeng

On Wed, Mar 14, 2018 at 11:50 AM, Juergen Schoenwaelder <
[email-masked]> wrote:

> Hi,
>
> I have checked version -15 today. The document has improved quite a
> bit. Thanks for taking my comments into account. Section 2.5 is much
> clearer now and I believe the new MIB mapping section is helpful.
> Thanks also for expanding the security considerations section and
> adding the example in the Appendix.
>
> Below are some questions that came up during my review of -15:
>
> a) I did not validate the example in Appendix A using tools but I
>    wonder whether
>
>                      "pim-sm:sm": [null]
>
>    is really correct. Should this not be
>
>                      "ietf-pim-sm:sm": [null]
>
>    in JSON? There are multiple occurances of this. I think the 'sm'
>    node you refer to here is a container - so why would it be [null]?
>
[Xufeng]: Fixed.

>    I also wonder whether this is correct:
>
>                      "source-address": "ietf-routing-types:*",
>
>    RFC 7951 seems to indicate that this should simply be "*" and not
>    "ietf-routing-types:*". So again, has the example been validated?
>

[Xufeng]: Fixed. Also fixed the validation tool to correct other errors in
the example.

>
> b) You seem to use a notation in the tree diagrams that is not defined
>    in draft-ietf-netmod-yang-tree-diagrams-06.txt:
>
>           +--rw <global configuration>
>
>    I assume this means something like
>
>           +--rw // global configuration
>
>    but even that does not seem comply to the common tree diagram
>    notation.  Perhaps simply state somewhere in Section 1.2 that
>    things in <> brackets are placeholders.
>

[Xufeng]: Added the description in Sec. 1.2.

>
>    Why is section 1.2 called 'Tree Diagrams Prefixes' - should it
>    not be just "Tree Diagrams"?
>

[Xufeng]: Yes. Fixed.

>
> c) I am still unsure what 'wider management interfaces' are, perhaps
>    replace 'wider' with 'other'.
>

[Xufeng]: Changed as suggested. Thanks.

>
> d) Spelling errors: instnace, conatin, the the, cooresponding
>

[Xufeng]: Fixed.

> /js